//
//  RootViewController.swift
//  MadLibs
//
//  Created by Skyrocket Software on 9/9/14.
//  Copyright (c) 2014 Skyrocket Software. All rights reserved.
//

import Cocoa

class RootViewController: NSViewController {
    @IBOutlet weak var pastTenseVerbTextField: NSTextField!

    @IBOutlet weak var singularNounCombo: NSComboBox!
    var singularNouns: [String]!
    
    @IBOutlet weak var pluralNounPopup: NSPopUpButton!
    var pluralNouns: [String]!
    
    @IBOutlet var phraseTextView: NSTextView!
    
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do view setup here.
    }
    
    @IBAction func goButton(sender: AnyObject) {
        // Past tense verb
        let pastTenseVerb = pastTenseVerbTextField.stringValue
        
        // Singular noun
        let singularNoun = singularNounCombo.stringValue
        
        // Plural noun
        let pluralNoun = pluralNouns[pluralNounPopup.indexOfSelectedItem]
        
        // Phrase
        let phrase = phraseTextView.string ?? ""
        
        // Create the mad lib sentence
        println("A \(singularNoun) \(pastTenseVerb) \(pluralNoun) and said, \(phrase)!")

    }
    
    override func awakeFromNib() {
        // Set the default text for the pastTenseVerbTextField property
        pastTenseVerbTextField.stringValue = "ate"
        
        // Setup the combo box with singular nouns
        singularNouns = ["dog", "muppet", "ninja", "fat dude"]
        singularNounCombo.removeAllItems()
        singularNounCombo.addItemsWithObjectValues(singularNouns)
        singularNounCombo.selectItemAtIndex(2)
        
        // Setup the pop up button with plural nouns
        pluralNouns = ["tacos", "rainbows", "iPhones", "gold coins"]
        pluralNounPopup.removeAllItems()
        pluralNounPopup.addItemsWithTitles(pluralNouns)
        pluralNounPopup.selectItemAtIndex(0)
        
        // Setup the default text to display in the text view
        phraseTextView.string = "Me coding Mac Apps!!!"
    }
    
}
